Install a Computer Agent skill
curl --request POST \
--url 'https://api.vida.dev/api/v2/computer/accounts/{targetAccountId}/skills/install?token=' \
--header 'Content-Type: application/json' \
--data '
{
"skillSlug": "<string>",
"installId": "<string>",
"timeoutMs": 300000
}
'import requests
url = "https://api.vida.dev/api/v2/computer/accounts/{targetAccountId}/skills/install?token="
payload = {
"skillSlug": "<string>",
"installId": "<string>",
"timeoutMs": 300000
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({skillSlug: '<string>', installId: '<string>', timeoutMs: 300000})
};
fetch('https://api.vida.dev/api/v2/computer/accounts/{targetAccountId}/skills/install?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"curated": true,
"catalog": {},
"success": true,
"install": {}
}Computer Agents
Install a Computer Agent skill
Installs one skill returned by the Computer Agent skill catalog. Read the skill detail first and select an installation option when more than one is available. Verify the skill immediately after installation to obtain its current setup requirements.
POST
/
api
/
v2
/
computer
/
accounts
/
{targetAccountId}
/
skills
/
install
Install a Computer Agent skill
Authorizations
Vida API Token
Path Parameters
Body
application/json
⌘I